/**
 * 
 */
package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.IPolytomousKeyService;
import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 *
 */
public class NewPolytomousKeyWizard extends AbstractNewEntityWizard<PolytomousKey> {

	@Override
	public void addPages() {
		PolytomousKeyWizardPage page = new PolytomousKeyWizardPage(formFactory, getConversationHolder(), getEntity());
		super.addPage(page);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#saveEntity()
	 */
	@Override
	protected void saveEntity() {
		CdmStore.getService(IPolytomousKeyService.class).saveOrUpdate(getEntity());
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	@Override
	protected PolytomousKey createNewEntity() {
		return PolytomousKey.NewInstance();
	}

}
