/**
 * 
 */
package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.IUserService;
import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.user.UserDetailWizardPage;

/**
 * @author n.hoffmann
 *
 */
public class NewUserWizard extends AbstractNewEntityWizard<User> {

	private UserDetailWizardPage userPage;
	
	@Override
	public void addPages() {
		userPage = new UserDetailWizardPage(formFactory, getConversationHolder(), getEntity());
		addPage(userPage);
	}
	
	@Override
	protected void saveEntity() {
		CdmStore.getService(IUserService.class).saveOrUpdate(getEntity());
	}

	@Override
	protected User createNewEntity() {
		return User.NewInstance(null, null);
	}

}
