// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.translation;


/**
 * <p>LanguageNotSupportedException class.</p>
 *
 * @author n.hoffmann
 * @created Oct 21, 2010
 * @version 1.0
 */
public class LanguageNotSupportedException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5522230902149840805L;

	/**
	 * <p>Constructor for LanguageNotSupportedException.</p>
	 */
	public LanguageNotSupportedException(){
		super();
	}

	/**
	 * <p>Constructor for LanguageNotSupportedException.</p>
	 *
	 * @param string a {@link java.lang.String} object.
	 */
	public LanguageNotSupportedException(String string) {
		super(string);
	}


	public LanguageNotSupportedException(Exception e) {
		super(e);
	}
}
