/**
 * 
 */
package eu.etaxonomy.taxeditor.newWizard;

import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.section.key.PolytomousKeyDetailElement;

/**
 * @author n.hoffmann
 *
 */
public class PolytomousKeyWizardPage extends AbstractCdmEntityWizardPage<PolytomousKey> {

	public PolytomousKeyWizardPage(CdmFormFactory formFactory,
			ConversationHolder conversation, PolytomousKey entity) {
		super(formFactory, conversation, entity);
	}

	@Override
	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
		PolytomousKeyDetailElement element = (PolytomousKeyDetailElement) formFactory.createCdmDetailElement(DetailType.POLYTOMOUS_KEY, rootElement, SWT.NULL);
		element.setEntity(entity);
		setPageComplete(true);
		return element;
	}
}
